import { defineComponent as l, computed as u, createElementBlock as n, openBlock as r, Fragment as m, renderList as p, createBlock as f, unref as d, withCtx as h, createElementVNode as o, normalizeClass as v, toDisplayString as x, capitalize as k } from "vue";
import { RouterLink as b } from "vue-router";
const w = { class: "flex w-full gap-2 border-b pl-1.5 md:ml-1.5 md:pl-0" }, _ = ["href", "onClick"], z = /* @__PURE__ */ l({
  __name: "Tabs",
  props: {
    type: {}
  },
  setup(e) {
    const i = u(() => e.type === "workspace" ? ["environment", "cookies", "settings"] : e.type === "operation" ? ["overview", "servers", "authentication", "editor"] : [
      "overview",
      "servers",
      "authentication",
      "environment",
      "cookies",
      "settings"
    ]);
    return (y, g) => (r(), n("div", w, [
      (r(!0), n(m, null, p(i.value, (t) => (r(), f(d(b), {
        key: t,
        custom: "",
        to: { name: `${e.type}.${t}` }
      }, {
        default: h(({ isActive: s, href: c, navigate: a }) => [
          o("a", {
            class: "-ml-2 flex h-10 cursor-pointer items-center px-2 text-center text-sm font-medium whitespace-nowrap no-underline -outline-offset-1 has-[:focus-visible]:outline",
            href: c,
            onClick: a
          }, [
            o("span", {
              class: v([
                "flex-center hover:text-c-1 h-full border-b",
                s ? "text-c-1 border-c-1" : "text-c-2 hover:text-c-1 border-transparent"
              ])
            }, x(k(t)), 3)
          ], 8, _)
        ]),
        _: 2
      }, 1032, ["to"]))), 128))
    ]));
  }
});
export {
  z as default
};
